.card {
    @apply relative shadow rounded bg-neutral-600 flex flex-col overflow-hidden;

    border: 1px solid rgba(255,255,255,0.1);

    .card-header {
        @apply relative flex flex-row items-center p-3;
        min-height: 48px;

        .card-header-image-container {
            @apply absolute inset-0 overflow-hidden;

            .card-header-image {
                opacity: 0.60;
                width: calc(100% + 20px);
                height: calc(100% + 20px);
                margin: -10px 0 0 -10px;
                background-repeat: no-repeat;
                background-position: center top;
                background-size: cover;
            }
        }
    }

    .card-banner-container {
        @apply absolute h-full w-full;

        .card-banner-image {
            @apply absolute z-10 h-full w-full top-0 left-0 overflow-hidden;

            .card-background-preflight {
                position: absolute;
                left: 0;
                top: 0;
                z-index: 0;
                width: calc(100% + 20px);
                height: calc(100% + 20px);
                margin: -10px 0 0 -10px;
                opacity: 1;
                background-size: cover;
                background-repeat: no-repeat;
                background-position: center top;
            }

            .card-background-mask {
                -webkit-mask-image: linear-gradient(to bottom, #36363d 0%, transparent 70%, transparent);
                mask-image: linear-gradient(to bottom, #36363d 0%, transparent 70%, transparent);
            }
        }
    }

    .card-content {
        @apply relative h-full flex flex-col items-center justify-center;

        .card-grid-item {
            @apply w-full flex items-center justify-between px-4;

            height: 42px;

            &:not(:first-child) {
                @apply border-t border-neutral-500;
            }
        }
    }

    .card-footer {
        @apply pb-6 mt-auto flex justify-center;
    }
}


